Bug 205186 - kernel-smp-2.6.17-1.2174_FC5 fail to boot on HP nx9420
kernel-smp-2.6.17-1.2174_FC5 fail to boot on HP nx9420
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 07:53 EDT by Marc Jadoul
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 16:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg on kernel-smp-2.6.17-1.2157_FC5 (24.90 KB, text/plain)
2006-09-05 08:24 EDT, Marc Jadoul
no flags Details

  None (edit)
Description Marc Jadoul 2006-09-05 07:53:38 EDT
Description of problem:
kernel-smp-2.6.17-1.2174_FC5 fail to boot on HP nx9420.
kernel-smp-2.6.17-1.2157_FC5 and other where OK. 

It looks like kernel is unable to find the root partition. I initially followed
other bugs thread (see bug 189708) but was said it might be a different bug.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.17-1.2174_FC5
mkinitrd-5.0.32-2 and previous
parted-1.7.1-15.fc5 and previous

How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
  
Actual results:
Kernel try to find root partition and panic.

Expected results:


Additional info:
Comment 1 Marc Jadoul 2006-09-05 08:23:05 EDT
The problem could be SATA related.
I tried to disable in my bios Native SATA and in this case,
kernel-smp-2.6.17-1.2157_FC5 also fail.
I suspect that something changed in last kernel related to SATA.

lspci say:
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controllers cc=AHCI (rev 01)

dmesg in attachment.
Comment 2 Marc Jadoul 2006-09-05 08:24:42 EDT
Created attachment 135546 [details]
dmesg on kernel-smp-2.6.17-1.2157_FC5
Comment 3 Marc Jadoul 2006-09-17 05:03:02 EDT
kernel-smp-2.6.17-1.2187_FC5 has still the same problem.

But this link http://www.redhat.com/archives/rhl-list/2006-August/msg01840.html
seems to be the response to my problem.

Here is my modprobe.conf after I disabled multi lun support:

####
alias scsi_hostadapter ahci
#options scsi_mod max_scsi_luns
alias eth0 tg3
install ipw3945 /sbin/modprobe --ignore-install ipw3945 ; sleep 0.5 ;
/sbin/ipw3945d --quiet
remove ipw3945 /sbin/ipw3945d --kill ; /sbin/modprobe -r --ignore-remove ipw3945
####

After mkinitrd:

mkinitrd /boot/initrd-2.6.17-1.2187_FC5smp.img 2.6.17-1.2187_FC5smp

It now boot correctly !!
Comment 4 Dave Jones 2006-10-16 20:43:40 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Marc Jadoul 2006-11-13 04:22:53 EST
kernel-smp-2.6.18-1.2200.fc5 is booting OK, including with this line in modprobe
.conf:
options scsi_mod max_scsi_luns=16

kernel-smp-2.6.18-1.2239.fc5 is not booting: it does not find the SATA disk.
Comment 6 Dave Jones 2006-11-20 19:39:02 EST
max_scsi_luns=16 shouldn't be needed (we probe all luns by default).

are you using raid by any chance ?
Comment 7 Marc Jadoul 2006-11-22 15:50:17 EST
Actually kernel-smp-2.6.18-1.2239.fc5 was not booting at all, with or without
the max_scsi_luns option.

kernel-smp-2.6.17-1.2157_FC5 was booting ok with or without the option,
kernel-smp-2.6.17-1.2174_FC5 was not booting with the option (but I do not know
without)
kernel-smp-2.6.17-1.2187_FC5 was booting without the option only,
kernel-smp-2.6.18-1.2200.fc5 was booting ok with or without the option,
kernel-smp-2.6.18-1.2239.fc5 was not booting at all but I did only some limited
tests and do not remember if I did mkinitrd after chanding the option... Was
this needed?

I originaly added this option in an attempt to make the integrated SD card
reader working... without success...

Currently I upgraded to fc6... I can't test anymore...

fc6 is working.
Comment 8 Marc Jadoul 2006-11-22 15:51:21 EST
Actually kernel-smp-2.6.18-1.2239.fc5 was not booting at all, with or without
the max_scsi_luns option.

kernel-smp-2.6.17-1.2157_FC5 was booting ok with or without the option,
kernel-smp-2.6.17-1.2174_FC5 was not booting with the option (but I do not know
without)
kernel-smp-2.6.17-1.2187_FC5 was booting without the option only,
kernel-smp-2.6.18-1.2200.fc5 was booting ok with or without the option,
kernel-smp-2.6.18-1.2239.fc5 was not booting at all but I did only some limited
tests and do not remember if I did mkinitrd after chanding the option... Was
this needed?

I originaly added this option in an attempt to make the integrated SD card
reader working... without success...

Currently I upgraded to fc6... I can't test anymore...

fc6 is working.
Comment 9 Dave Jones 2006-11-24 16:30:08 EST
very strange. Ok, I'll close this.

Note You need to log in before you can comment on or make changes to this bug.